# -*- coding: utf-8 -*-
from setuphelpers import *


# {4A59754E-D644-4F84-9768-41F68053F08E}_is1         Lightscreen version 2.4         2.4         "C:\Program Files (x86)\Lightscreen\unins000.exe"

# Declaring specific app values (TO CHANGE)
bin_contains = "LightscreenSetup"
silent_arguments = "/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP- /LAUNCHAFTER=0"
uninstall_key = "{4A59754E-D644-4F84-9768-41F68053F08E}_is1"


def install():
    # Declaring local variables
    package_version = control.get_software_version()
    bin_name = glob.glob("*%s*.exe" % bin_contains)[0]
    print("installing tis-lightscreen")
    impacted_process = "lightscreen.exe"

    for uninstall in installed_softwares("lightscreen"):
        if Version(package_version) > Version(uninstall["version"]):
            print("Uninstall %s" % uninstall["name"])
            killalltasks(impacted_process)
            cmd = uninstall_cmd(uninstall["key"])
            run(cmd)
    install_exe_if_needed(
        bin_name,
        silentflags=silent_arguments,
        key=uninstall_key,
        min_version=package_version,
    )

    killalltasks(impacted_process)
